Name:		perl-OLE-Storage_Lite
Version:	0.22
Release:    1%{?dist}
Summary:	Simple Class for OLE document interface
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/OLE-Storage_Lite
Source0:	https://cpan.metacpan.org/authors/id/J/JM/JMCNAMARA/OLE-Storage_Lite-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IO::Scalar)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(strict)
BuildRequires:	perl(Time::Local)
BuildRequires:	perl(vars)
BuildRequires:	perl(Test::More)
Requires:	perl(IO::Scalar)

%description
Simple Class for OLE document interface.

%prep
%setup -q -n OLE-Storage_Lite-%{version} 

perl -pi -e 's/\r\n/\n/g' Changes README sample/{README,*.pl}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README sample/
%{perl_vendorlib}/OLE/
%{_mandir}/man3/OLE::Storage_Lite.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-1
- initial build
